12 Replies Latest reply on Jun 18, 2018 10:40 PM by hypervisorFanboy

    VCSA 6.7 on ESXi 6.5u1 - Installation failed

    hypervisorFanboy Lurker

      Hi All,

       

      We are trying to build a new VMWare environment for evaluation, currently we have a ESXi 6.5u1 hypervisor where we are attempting to deploy VCSA 6.7. Stage 1 of the deployment completes successfully, the stage 2 wizard runs and is completed at which point the setup runs however, early on in the setup process we are having trouble.

       

       

      We get this unrecoverable error message:

      error1.jpg

      Behind the unrecoverable error message, it seems the process stops somewhere around this point.

      error2.jpg

       

      I have downloaded the logs and attached what I believe to be the relevant components below:

       

      firstbootStatus.json

      {
          "finalStatus": "failure",
          "stepsCompletedList": "visl-support-firstboot,vmafd-firstboot,vmidentity-firstboot,pod_firstboot,soluser_firstboot,vmon-firstboot,rhttpproxy_firstboot,analytics_firstboot",
          "stepsStarted": 8,
          "failedSteps": "analytics_firstboot",
          "totalSteps": 38,
          "stepsCompleted": 8,
          "runTime": [
              {
                  "visl-support-firstboot": "0:00:03"
              },
              {
                  "vmafd-firstboot": "0:00:53"
              },
              {
                  "vmidentity-firstboot": "0:00:43"
              },
              {
                  "pod_firstboot": "0:00:00"
              },
              {
                  "soluser_firstboot": "0:00:07"
              },
              {
                  "vmon-firstboot": "0:00:01"
              },
              {
                  "rhttpproxy_firstboot": "0:00:02"
              },
              {
                  "analytics_firstboot": "0:00:01"
              }
          ]
      }
      

       

      analytics_firstboot.py_6504_stderr.log

      INFO:root:Register service with LS.
      2018-05-10T14:59:56.955Z  Failed to register Analytics Service with Component Manager: SoapException:
      faultcode: ns0:FailedAuthentication
      faultstring: Invalid credentials
      faultxml: <?xml version='1.0' encoding='UTF-8'?><S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/"><S:Body><S:Fault xmlns:ns4="http://www.w3.org/2003/05/soap-envelope"><faultcode xmlns:ns0="http://docs.oasis-open.org/ws-sx/ws-trust/200512">ns0:FailedAuthentication</faultcode><faultstring>Invalid credentials</faultstring></S:Fault></S:Body></S:Envelope>
      2018-05-10T14:59:56.969Z  Traceback (most recent call last):
        File "/usr/lib/vmware-analytics/firstboot/analytics_firstboot.py", line 161, in register_with_cm
          cloudvm_sso_cm_register(keystore, cisreg_spec, key_alias, dyn_vars, isPatch=is_patch)
        File "/usr/lib/vmware-cm/bin/cloudvmcisreg.py", line 700, in cloudvm_sso_cm_register
          serviceId = do_lsauthz_operation(cisreg_opts_dict)
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 1044, in do_lsauthz_operation
          ls_obj.register_service(svc_id, svc_create_spec)
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 340, in add_securityctx_to_requests
          with self._sso_client.securityctx_modifier(self._stub):
        File "/usr/lib/python3.5/contextlib.py", line 59, in __enter__
          return next(self.gen)
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 240, in securityctx_modifier
          self._update_saml_token()
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 223, in _update_saml_token
          self._uname, self._passwd, token_duration=120)
        File "/usr/lib/vmware/site-packages/pyVim/sso.py", line 317, in get_bearer_saml_assertion
          ssl_context)
        File "/usr/lib/vmware/site-packages/pyVim/sso.py", line 256, in perform_request
          raise SoapException(fault, *parsed_fault)
      pyVim.sso.SoapException: SoapException:
      faultcode: ns0:FailedAuthentication
      faultstring: Invalid credentials
      faultxml: <?xml version='1.0' encoding='UTF-8'?><S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/"><S:Body><S:Fault xmlns:ns4="http://www.w3.org/2003/05/soap-envelope"><faultcode xmlns:ns0="http://docs.oasis-open.org/ws-sx/ws-trust/200512">ns0:FailedAuthentication</faultcode><faultstring>Invalid credentials</faultstring></S:Fault></S:Body></S:Envelope>
      
      
      2018-05-10T14:59:56.970Z  Exception: Traceback (most recent call last):
        File "/usr/lib/vmware-analytics/firstboot/analytics_firstboot.py", line 161, in register_with_cm
          cloudvm_sso_cm_register(keystore, cisreg_spec, key_alias, dyn_vars, isPatch=is_patch)
        File "/usr/lib/vmware-cm/bin/cloudvmcisreg.py", line 700, in cloudvm_sso_cm_register
          serviceId = do_lsauthz_operation(cisreg_opts_dict)
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 1044, in do_lsauthz_operation
          ls_obj.register_service(svc_id, svc_create_spec)
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 340, in add_securityctx_to_requests
          with self._sso_client.securityctx_modifier(self._stub):
        File "/usr/lib/python3.5/contextlib.py", line 59, in __enter__
          return next(self.gen)
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 240, in securityctx_modifier
          self._update_saml_token()
        File "/usr/lib/vmware/site-packages/cis/cisreglib.py", line 223, in _update_saml_token
          self._uname, self._passwd, token_duration=120)
        File "/usr/lib/vmware/site-packages/pyVim/sso.py", line 317, in get_bearer_saml_assertion
          ssl_context)
        File "/usr/lib/vmware/site-packages/pyVim/sso.py", line 256, in perform_request
          raise SoapException(fault, *parsed_fault)
      pyVim.sso.SoapException: SoapException:
      faultcode: ns0:FailedAuthentication
      faultstring: Invalid credentials
      faultxml: <?xml version='1.0' encoding='UTF-8'?><S:Envelope xmlns:S="http://schemas.xmlsoap.org/soap/envelope/"><S:Body><S:Fault xmlns:ns4="http://www.w3.org/2003/05/soap-envelope"><faultcode xmlns:ns0="http://docs.oasis-open.org/ws-sx/ws-trust/200512">ns0:FailedAuthentication</faultcode><faultstring>Invalid credentials</faultstring></S:Fault></S:Body></S:Envelope>
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "/usr/lib/vmware-analytics/firstboot/analytics_firstboot.py", line 260, in main
          fb.register_with_cm(analytics_int_http, is_patch)
        File "/usr/lib/vmware-analytics/firstboot/analytics_firstboot.py", line 172, in register_with_cm
          problem_id='install.analytics.cmregistration.failed')
      cis.baseCISException.BaseInstallException: {
          "resolution": {
              "localized": "Please search for these symptoms in the VMware Knowledge Base for any known issues and possible resolutions. If none can be found, collect a support bundle and open a support request.",
              "id": "install.analytics.cmregistration.failed.res",
              "translatable": "Please search for these symptoms in the VMware Knowledge Base for any known issues and possible resolutions. If none can be found, collect a support bundle and open a support request."
          },
          "componentKey": "analytics",
          "problemId": "install.analytics.cmregistration.failed",
          "detail": [
              {
                  "localized": "Analytics Service registration with Component Manager failed.",
                  "id": "install.analytics.cmregistration.failed",
                  "translatable": "Analytics Service registration with Component Manager failed."
              }
          ]
      }
      
      
      2018-05-10T14:59:56.970Z  VMware Analytics Service firstboot failed
      

       

       

       

      Any help or suggestions are greatly appreciated!

       

      Cheers,